Resolve a dispute
curl --request POST \
--url https://api.getsly.ai/v1/v1/disputes/{id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refundAmount": 123,
"notes": "<string>",
"cancelMandate": true
}
'import requests
url = "https://api.getsly.ai/v1/v1/disputes/{id}/resolve"
payload = {
"refundAmount": 123,
"notes": "<string>",
"cancelMandate": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refundAmount: 123, notes: '<string>', cancelMandate: true})
};
fetch('https://api.getsly.ai/v1/v1/disputes/{id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"amount_disputed": "<string>",
"currency": "<string>",
"response_window_ends_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"evidence": [],
"resolved_at": "2023-11-07T05:31:56Z"
},
"refund_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}Disputes
Resolve a dispute
Terminal action. If resolution is full_refund or partial_refund, auto-creates a refund.
POST
/
v1
/
disputes
/
{id}
/
resolve
Resolve a dispute
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Path Parameters
Body
application/json
⌘I